---
categories: ['Syspatch']
date: 2021-06-07T20:48:52+02:00
description: "Correctif OpenBSD: Intel et AMD CPU"
draft: false
tags: ['Syspatch','cpu','6.8','6.9']
title: "Syspatch : cpuswitch + inteldrm (2021/06/07)"
---

## Correctifs de fiabilité

1/ pour les CPU Intel et AMD : **cpuswitch**

**Les machines récentes basées sur les CPU Intel ou AMD peuvent planter 
car le noyau ne vidait pas toutes les TLB dont les processus multi-thread
requerraient.**

- Architectures ciblées : amd64.

2/ pour les GPU Intel : **inteldrm**

**Désactive la fonctionnalité PPGTT des GPU Intel Cherryview et Braswell 
afin d'éviter une corruption de la mémoire.**

- Architecture ciblée : amd64 et i386.

---

## Syspatch

Cette étape ne concerne que les architectures amd64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) la machine car ces correctifs affectent le noyau !


## Restart

```ksh
# reboot
```

---

## Documentations

⇒ **Note** : La TLB est une mémoire cache du processeur. <br>
cf : Article Wikipédia à-propos de la TLB : [FR][10], [EN][11]

⇒ **Note** : la fonctionnalité PPGTT *(Per-Process Graphics Translation Tables)*
semble être un processus d'isolation du GPU. <br>
cf : Article sur [Phoronix](https://www.phoronix.com/scan.php?page=news_item&px=MTUzNzQ)


⇒ Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]… <br> 
*et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].*

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68

[10]: https://fr.wikipedia.org/wiki/Translation_lookaside_buffer
[11]: https://en.wikipedia.org/wiki/Translation_lookaside_buffer

