---
categories: ['Syspatch']
date: 2021-08-11T10:34:28+02:00
description: "Correctif OpenBSD: kernel (wg) + perl"
draft: false
tags: ['Syspatch','kernel','wg','perl','6.8','6.9']
title: "Syspatch : kernel, perl (2021/08/11)"
---

## Correctif de fiabilité : kernel

**Dans une configuration spécifique, wg(4) a des fuites dans les mémoires tampons mbuf.**

- Architecture ciblée : toutes les architectures supportées par le projet.

## Correctif de sécurité : perl

**La fonctionnalité Encode (3p) de perl(1) charge un module depuis un chemin relatif incorrect.**

- Architecture ciblée : toutes les architectures supportées par le projet.

---

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) la machine !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

### patch kernel

- pour 6.9

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/013_wg.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 013_wg.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- pour 6.8

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/028_wg.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 028_wg.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- la phase de recompilation :

```ksh
$ KK=`sysctl -n kern.osversion | cut -d# -f1`
$ cd /usr/src/sys/arch/`machine`/compile/$KK
# make obj
# make config
# make
# make install
```

Ensuite [redémarrez](#restart) la machine !

### patch perl

Ce correctif ne concerne que 6.9 !

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/014_perl.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 014_perl.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- la phase de recompilation :

```ksh
$ cd /usr/src/gnu/usr.bin/perl/
# make -f Makefile.bsd-wrapper obj
# make -f Makefile.bsd-wrapper depend
# make -f Makefile.bsd-wrapper
# make -f Makefile.bsd-wrapper install
```

Voilà ! <br>
*rien à faire de plus…*

## Restart

```ksh
# reboot
```

---

## Documentations 

- [man mbuf](https://man.openbsd.org/mbuf.9)(9)
- [man perl](https://man.openbsd.org/perl.1)(1)

Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]… <br> 
*et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].*

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


