---
categories: ['Syspatch']
date: 2021-02-03T07:14:19+01:00
description: "Correctif OpenBSD: libressl"
draft: false
tags: ['Syspatch','libressl','6.8']
title: "Syspatch : libressl (2021/02/02)"
---

## Correctif de fiabilité libressl

**De nombreux problèmes d'interopérabilité et failles mémoire ont été découvertes dans les bibliothèques libcrypto et libssl.**

Il peut-être nécessaire de redémarrer certains services, tels isakmpd, unwind.

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) les services utilisés, si c'est le cas !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/013_libressl.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 013_libressl.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
cd /usr/src/lib/libcrypto
make obj
make
make install
cd /usr/src/lib/libssl
make obj
make
make install
cd /usr/src/sbin/isakmpd
make obj
make
make install
cd /usr/src/sbin/unwind
make obj
make
make install
```
    
Pour finir, [redémarrez](#restart) les services, si utilisés.

## Restart

```ksh
# rcctl restart isakmpd unwind
```

---

Plus d'informations sur les pages d'Errata [6.8][1]… <br> 
*et leurs versions FR respectives : [6.8 FR][3].*

---

[1]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


