---
categories: ['Syspatch']
date: 2021-03-15T18:08:33+01:00
description: "Correctif OpenBSD: libssl"
draft: false
tags: ['Syspatch','libssl','6.8']
title: "Syspatch : libssl (2021/03/15)"
---

## Correctif de sécurité 

**Un client TLS utilisant la reprise de session peut provoquer une utilisation après libération *(use-after-free)*.**

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service **unwind** *si vous l'utilisez* !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/017_libssl.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 017_libssl.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
$ cd /usr/src/lib/libssl
# make obj     
# make
# make install
$ cd /usr/src/sbin/unwind
# make obj
# make
# make install
```

Ensuite [redémarrez](#restart) le service **unwind** *si vous l'utilisez* !

## Restart

```ksh
# rcctl restart unwind
```

---

Plus d'informations sur les pages d'Errata [6.8][1]… <br> 
*et leurs versions FR respectives : [6.8 FR][3].*

---

[1]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


