---
categories: ['Syspatch']
date: 2021-05-18T18:18:12+02:00
description: "Correctif OpenBSD: libX11 & vmd"
draft: false
tags: ['Syspatch','libX11','vmd','6.8','6.9']
title: "Syspatch : libX11, vmd (2021/05/18)"
---

## Correctifs de sécurité 

1/ pour la libX11 : 

**Les vérifications des longueurs de requêtes dans la bibliothèque libX11 étaient manquantes.**

- Architectures ciblées : toutes celles supportées par le projet OpenBSD.

2/ pour vmd : 

**Les pilotes virtio des invités de vmd pouvaient provoquer des débordements de pile en fabriquant des longueurs de descripteurs virtio invalides.**

- Architecture ciblée : amd64.

---

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service,  *si utilisé* !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

⇒ Pour la libX11 : 

- pour 6.9

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/002_libx11.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 002_libx11.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- pour 6.8

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/019_libx11.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 019_libx11.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- la phase de recompilation :

```ksh
$ cd /usr/xenocara/lib/libX11
# make -f Makefile.bsd-wrapper obj
# make -f Makefile.bsd-wrapper build
```

Ensuite [redémarrez](#restart) le service **xenodm**,  *si utilisé* !

⇒ pour vmd, utilisez simplement `syspatch`…

Ensuite [redémarrez](#restart) le service **vmd**, voire les VM, *si utilisés* !

## Restart

```ksh
# rcctl restart vmd xenodm
```

---

Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]… <br> 
*et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].*

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


