---
categories: ['Syspatch']
date: 2021-05-20T21:25:29+02:00
description: "Correctif OpenBSD: net80211 (Wifi)"
draft: false
tags: ['Syspatch','net80211','6.8','6.9']
title: "Syspatch : net80211 (2021/05/20)"
---

## Correctif de sécurité 

**Une validation insuffisante des trames A-MSDU et des frames 802.11 fragmentées pouvait être abusée pour injecter des frames arbitraires**.

- Architectures ciblées : toutes celles supportées par le projet OpenBSD.

---

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) la machine car ce correctif affecte le noyau !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- pour 6.9

```ksh
# https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/004_net80211.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 004_net80211.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- pour 6.8

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/021_net80211.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 021_net80211.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- la phase de recompilation :

```ksh
$ KK=`sysctl -n kern.osversion | cut -d# -f1`
$ cd /usr/src/sys/arch/`machine`/compile/$KK
# make obj
# make config
# make
# make install
```

Ensuite [redémarrez](#restart) la machine car ce correctif affecte le noyau !

## Restart

```ksh
# reboot
```

---

## Documentations

Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]… <br> 
*et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].*

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


