---
categories: ['Syspatch']
date: 2021-03-09T12:14:49+01:00
description: "Correctif OpenBSD: npppd"
draft: false
tags: ['Syspatch','npppd','6.7','6.8']
title: "Syspatch : npppd (2021/03/09)"
---

## Correctif de sécurité npppd

**Le gestionnaire de protocole PPTP peut provoquer une sur-lecture du tas, ce qui peut entraîner un crash.**


Il est nécessaire de **redémarrer le service** après l'application du correctif !


Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service,  *si utilisé* !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/016_npppd.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 016_npppd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- Pour 6.7 :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/037_npppd.patch.sig
# signify -Vep /etc/signify/openbsd-67-base.pub -x 037_npppd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
$ cd /usr/src/usr.sbin/npppd
# make obj
# make
# make install
```

Ensuite [redémarrez](#restart) le service,  *si utilisé* !

## Restart

```ksh
# rcctl restart npppd
```

---

Plus d'informations sur les pages d'Errata [6.8][1] et [6.7][2]… <br> 
*et leurs versions FR respectives : [6.8 FR][3] et [6.7 FR][4].*

---

[1]: https://openbsd.org/errata68.html
[2]: https://openbsd.org/errata67.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67


