---
categories: ['Syspatch']
date: 2021-02-24T18:52:52+01:00
description: "Correctif OpenBSD: PF"
draft: false
tags: ['Syspatch','PF','6.7','6.8']
title: "Syspatch : pffrag (2021/02/24)"
---

## Correctif de sécurité pffrag

**Une séquence de fragments IPv4 se chevauchant pourrait faire planter le 
noyau en pf en raison d'une assertion.**

Il est nécessaire de redémarrer le noyau !

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) la machine !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/014_pffrag.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 014_pffrag.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- Pour 6.7 :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/035_pffrag.patch.sig
# signify -Vep /etc/signify/openbsd-67-base.pub -x 035_pffrag.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
# KK=`sysctl -n kern.osversion | cut -d# -f1`
# cd /usr/src/sys/arch/`machine`/compile/$KK
# make obj
# make config
# make
# make install
```

Pour finir, [redémarrez](#restart) la machine !

## Restart

```ksh
# reboot
```

---

Plus d'informations sur les pages d'Errata [6.8][1] et [6.7][2]… <br> 
*et leurs versions FR respectives : [6.8 FR][3] et [6.7 FR][4].*

---

[1]: https://openbsd.org/errata68.html
[2]: https://openbsd.org/errata67.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67



