---
categories: ['Syspatch']
date: 2020-12-24T15:05:12+01:00
description: "Correctif OpenBSD: smtpd"
draft: false
tags: ['Syspatch','smtpd','6.7','6.8']
title: "Syspatch : smptd (2020/12/23)"
---

## Correctif de fiabilité smtpd

**La machine à états de filtrage de smtpd peut libérer prématurément des 
ressources conduisant à un plantage**.

Il est nécessaire de **redémarrer le service** après l'application du correctif !


Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/010_smtpd.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 010_smtpd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- Pour 6.7 :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/033_smtpd.patch.sig
# signify -Vep /etc/signify/openbsd-67-base.pub -x 033_smtpd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
# cd /usr/src/usr.sbin/smtpd
# make obj
# make
# make install
```

Pour finir, [redémarrez](#restart) le service !

## Restart

```ksh
# rcctl restart smtpd
```

---

Plus d'informations sur les pages d'Errata [6.8][1] et [6.7][2]… <br> 
*et leurs versions FR respectives : [6.8 FR][3] et [6.7 FR][4].*

---

[1]: https://openbsd.org/errata68.html
[2]: https://openbsd.org/errata67.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67



