---
categories: ['Syspatch']
date: 2021-05-04T12:26:10+02:00
description: "Correctif OpenBSD: vmd"
draft: false
tags: ['Syspatch','vmd','6.9']
title: "Syspatch : vmd (2021/05/04)"
---

## Correctif de fiabilité : vmd

**Les VM invités de vmd peuvent déclencher des messages de journalisation excessifs sur l'hôte par l'envoi de certains paquets réseaux.**

Pour toutes les architectures supportées :
- amd64 par `syspatch` ou par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite, préférez [redémarrer](#restart) le service et vos VM.

## Recompilation

Voici les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/010_relayd.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 010_relayd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
$ cd /usr/src/usr.sbin/relayd
# make obj
# make
# make install
```

Ensuite, préférez [redémarrer](#restart) le service.

## Restart

```ksh
# rcctl restart relayd
```

---

Plus d'informations sur les pages d'Errata [6.9][1]… <br> 
*et la versions FR respective : [6.9 FR][3].*

---

[1]: https://openbsd.org/errata69.html

[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69


