---
categories: ['OpenBSD']
date: 2021-05-01T00:00:00+02:00
description: "Sortie d'OpenBSD 6.9 (20210501)"
draft: false
tags: ['OpenBSD','6.9']
title: "OpenBSD 6.9"
---

## Description

L'équipe OpenBSD sort la version **6.9** d'**OpenBSD**.

C'est la 50<sup>ème</sup> mouture du système d'exploitation. 

L'équipe est fière d'annoncer que cela fait plus de 20 ans qu'elle n'a eu
que deux failles de sécurités à distance dans l'installation de base. 

![Bandeau OpenBSD 6.9](/images/puffy69.png)

## Changelog

⇒ De nombreux changements, améliorations sont apportés : 

* début de la prise en charge du SOC M1 Apple
* amélioration du support des plateformes arm64, PowerPC64 
* des améliorations autour du noyau, dont parmi les plus notables : 
    * RAID1C: prise en charge du chiffrement pour le Raid1 
    * video(4): introduction du paramètre sysctl kern.video.record désactivé
		par défaut, dans le contexte de politique de confidentialité ; 
		et la possibilité d'activer plusieurs dispositifs en même temps.
* des améliorations pour le SMP (*processeurs multiples*)
* des améliorations pour la virtualisation VMD/VMM, dont principalement :
    * ajout du dispositif veb(4) en tant que bridge supporté par vmd(8).
    * ajout de la capacité de démarrer sur les ramdisk compressés
* de nouvelles fonctionnalités en "espace utilisateur" : 
	* doas.conf: ajout de l'option "nolog" afin de ne pas avoir d'enregistrement
		dans syslog(3).
	* sndio(7) et sndiod(8): autovolume désactivé par défaut, et volume par
		défaut sur 127
	* logger(1) pour rcctl(8), rc.subr(8) et rc.d(8) 
	* wscontl(8): une meilleure gestion des mouvements et autres touchés 
		des touchpads
	* apm(4) actif pour l'architecture arm64.
* de nombreuses améliorations et autres ajouts de différents matériels, 
	de dispositifs réseaux dont wifi
* des changements notables dans PF, IPSec, httpd, d'outils tels rpki-client, 
	dig, dhclient, dont :
	* deux nouveaux démons dhcpleased(8) et resolvd(8) ont été ajoutés, 
		désactivés par défaut, gérables par le contrôleur rcctl afin de fournir
		une configuration simple et cohérente des interfaces réseaux et de
		la résolution DNS. 

et, bien sûr bien d'autres changements, correctifs et ajouts, lisibles
en anglais dans l'[annonce](https://ftp.fr.openbsd.org/pub/OpenBSD/6.9/ANNOUNCEMENT) officielle.

⇒ Parmi les nouvelles versions de logiciels internes à OpenBSD 6.9, retrouvons :

* LibreSSL 3.3.2
* OpenSSH 8.5
* OpenSMTPD 6.9.0

## Guide de Migration

Retrouvez le **Guide de Migration 6.8 → 6.9** qui explique :

1. ce qu'il faut faire **avant d'utiliser la méthode de mise à niveau** 
2. de choisir sa **méthode de mise à niveau**, dont la **méthode de mise sans surveillance**
	par le biais de sysupgrade(8). 
3. ce qu'il est nécessaire de faire **après la mise à niveau**
4. sans oublier ensuite de gérer les **changements de configuration et de syntaxe**,
	les **fichiers à supprimer**, et de vérifier certains **paquets spécifiques**.


* la version officielle EN du guide : https://www.openbsd.org/faq/upgrade69.html
* la traduction EN → FR officieuse par nos soins : https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/faq/upgrade69

---

## Art 

⇒ Voici le poster : 

[![Poster OpenBSD 6.9](/images/OpenBSD-6.9-Poster.png)](https://www.openbsd.org/images/nice.png)

⇒ Retrouvez la nouvelle chanson nommée "Vetera Novis". 

- https://www.OpenBSD.org/lyrics.html#69

## Vente 

⇒ Et voici la vente officielle de vêtements estampillés **OpenBSD 6.9** :

- https://openbsd.creator-spring.com/search?searchterm=6.9

---
