---
categories: ['OpenBSD']
date: 2021-10-14T15:00:00+02:00
description: "Sortie d'OpenBSD 7.0 (20211014)"
draft: false
tags: ['OpenBSD','7.0']
title: "OpenBSD 7.0"
---

## Description

L'équipe OpenBSD sort la version **7.0** d'**OpenBSD**.

C'est la 51<sup>ème</sup> mouture du système d'exploitation. 

L'équipe est fière d'annoncer que cela fait plus de 20 ans qu'elle n'a eu
que deux failles de sécurités à distance dans l'installation de base. 

![Bandeau OpenBSD 7.0](/images/puffy70.png)

## Changelog

⇒ De nombreux changements, améliorations sont apportés : 

* début de la prise en charge de la plateforme RISC-V 64 bits (riscv64)
* fin de la prise en charge de la plateforme loongson pour les prochaines versions
* amélioration du support des plateformes arm64, PowerPC64 
* des améliorations autour du noyau, dont parmi les plus notables : 
    * augmentation de la vitesse d'écriture du processus d'hibernation (hibernation plus rapide avec **ZZZ**)
    * ajout de bsd.re-config(5) pour pouvoir faire des changements dans le noyau GENERIC, via l'usage de KARL
* des améliorations pour le SMP (*processeurs multiples*)
* des améliorations pour la virtualisation VMD/VMM, dont principalement :
    * ajout, dans vmm(4), d'une limite théorique de 512 pour le nombre de CPU virtuels allouables.
* de nouvelles fonctionnalités en "espace utilisateur" : 
    * import de l'utilitaire timeout(1) depuis NetBSD. timeout(1) peut être utilisé pour lancer des commandes avec une limite de temps
    * doas(1) propose 3 essais lors d'une tentative erronée d'authentification par mot de passe
* de nombreuses améliorations et autres ajouts de différents matériels, 
	de dispositifs réseaux dont wifi
* des changements notables dans les divers outils systèmes :
    * dhcpleased(8) est maintenant activé par défaut pour obtenir des adresses IPv4 via DHCP (aucun changement de configuration requis).
       resolvd(8) est également activé par défaut et permet de gérer le fichier resolv.conf(5) pour les DNS du système
    * xterm(1) utilise maintenant la fonction unveil(2)
    * sshd(8) désactive par défaut le support des clés RSA utilisant SHA-1 comme algorithme de chiffrement

et, bien sûr bien d'autres changements, correctifs et ajouts, lisibles
en anglais dans l'[annonce](https://ftp.fr.openbsd.org/pub/OpenBSD/7.0/ANNOUNCEMENT) officielle.

⇒ Parmi les nouvelles versions de logiciels internes à OpenBSD 7.0, retrouvons :

* LibreSSL 3.4.1
* OpenSSH 8.8
* OpenSMTPD 7.0.0

## Guide de Migration

Retrouvez le **Guide de Migration 6.9 → 7.0** qui explique :

1. ce qu'il faut faire **avant d'utiliser la méthode de mise à niveau** 
2. de choisir sa **méthode de mise à niveau**, dont la **méthode de mise sans surveillance**
	par le biais de sysupgrade(8). 
3. ce qu'il est nécessaire de faire **après la mise à niveau**
4. sans oublier ensuite de gérer les **changements de configuration et de syntaxe**,
	les **fichiers à supprimer**, et de vérifier certains **paquets spécifiques**.


* la version officielle EN du guide : https://www.openbsd.org/faq/upgrade70.html
* la traduction EN → FR officieuse par nos soins : https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/faq/upgrade70

---

## Art 

⇒ Voici le poster : 

[![Poster OpenBSD 7.0](/images/OpenBSD-7.0-Poster.png)](https://www.openbsd.org/images/nice.png)

⇒ Retrouvez la nouvelle chanson nommée "The Style Hymn". 

- https://www.OpenBSD.org/lyrics.html#70

## Vente 

⇒ Et voici la vente officielle de vêtements estampillés **OpenBSD 7.0** :

- https://openbsd.creator-spring.com/search?searchterm=7.0

---
