---
categories: ['OpenIKED','rpki-client']
date: 2021-05-18T18:49:57+02:00
description: "Sortie des versions d'OpenIKED 6.9 et rpki-client 7.1"
draft: false
tags: ['OpenIKED','rpki-client','6.9','7.1']
title: "OpenIKED 6.9.0 ; rpki-client 7.1"
---

## Description

L'équipe OpenBSD dévoile deux nouvelles versions de ses produits phares :

- OpenIKED v6.9.0
- rpki-client v7.1

## OpenIKED

Cette implémentation libre d'IKEv2, faisant partie du projet d'OpenBSD, 
est basée sur la version d'OpenBSD 6.9. 

---

L'équipe en profite pour renouveller complétement la version portable, 
connue pour fonctionner sur :

- certaines distributions Linux, telles Arch Linux, Debian 10
- et sur certains BSD : FreeBSD 12, FreeBSD 13 et NetBSD 9.

---

Pour rappel, la version portable peut être téléchargée depuis les 
[miroirs du projet OpenBSD](https://www.openbsd.org/ftp.html), sous
le répertoire : `/pub/OpenBSD/OpenIKED`.

---

Ceux qui veulent faire remonter des bogues, peuvent le faire sur :

- **bugs@openbsd.org** : pour les bogues de manière générale
- **https://github.com/openiked/openiked-portable**, spécifiques à la version
	portable

## rpki-client

Cette nouvelle version 7.1 intègre les changements suivants :

```
 * Add keep-alive support to the HTTP client code for RRDP,
 * Reference-count and delete unused files synced via RRDP, as far as
   possible,
 * In the JSON output, change the AS Number from a string ("AS123") to
   an integer ("123") to make processing of the output easier,
 * Add an 'expires' column to CSV & JSON output, based on certificate
   and CRL validity times. The 'expires' value can be used to avoid route
   selection based on stale data when generating VRP sets, when faced
   with loss of communication between consumer and valdiator, or
   validator and CA repository,
 * Make the runtime timeout (-s option) also triggers in
   child proecesses.
 * Improved RRDP support, we encourage testing of RRDP with the -r
   option so that RRDP can be enabled by default in a future release.
   Please report any issues found.
```

Quant à la version portable : 

```
 * Improve support for older libressl versions (altough the latest
   stable release is recommended),
 * Add missing compat headers in release packages so they build on
   Alpine Linux and macOS.
```

---

Pour rappel, rpki-client est connu pour fonctionner sur les systèmes d'exploitation
suivant :

- Alpine 3.12, Debian 9, 10, Fedora 31, 32, 33, macOS, RHEL/CentOS 7, 8, 
	Windows Subsystem for Linux 2, et OpenBSD.

---

La version portable peut être téléchargée depuis : 

- https://www.rpki-client.org/portable.html

---

Si vous souhaitez faire remonter des bogues, faites-le sur :

- **tech@openbsd.org** pour les bogues généraux
- **https://github.com/rpki-client/rpki-client-portable** pour ceux relatifs à la version portable

---
